//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wJobEditView:
//   Generates form to edit a job

#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wJobEditView.h"

#include "p4wMenuPane.h"
#include "p4wJobPane.h"


p4wJobEditView::p4wJobEditView( p4wRequest & Request )
	: p4wView( Request )
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Edit Job" );
	fFullTitle << "Edit Job " << fRequest.GetURL();
}

p4wJobEditView::~p4wJobEditView()
{
}

void p4wJobEditView::RenderContent()
{
	//
	// Issue job command and send the data to the job edit pane.

	const char *jobPaneArgs[] = { "-o", fRequest.GetURL().Text() };
	p4wJobPane jobPane( *this, fRequest, 1 );

	fRequest.p4Arg( "-o" );
	if( fRequest.GetURL().Length() )
		fRequest.p4Arg( fRequest.GetURL().Text() );
		
	fRequest.p4( "job", 0, NULL, &jobPane );
	fRequest.p4Wait();
}

void p4wJobEditView::RenderMenu()
{
	//
	// Draw the menu bar
	p4wMenuPane menuPane( *this, fRequest, "editjob" );
	menuPane.Render( NULL );
}
